Subject: Re: Automatic Lojban -> English translation?

From: "pmak0" <[email-masked]>
Date: Thu, 20 Jun 2002 06:11:43 -0000

--- In lojban@y..., robin <robin@B...> wrote:

> >>Since Lojban is supposed to be unambiguously parsible, would it be
> >>theoretically possible to write a computer program that parses Lojban and
> >>outputs readable English (or any other language) without loss of meaning?
>
> I'd say readable and grammatical, but not idiomatic. We already have 
> parsers and glossers; all that is needed is something that will generate 
> the English syntax. Even so, it would probably be a long time before we 
> had anything remotely resembling natural-sounding English.

I was thinking this:

If people make a Lojban -> English translator, and then also a Lojban -> German, -> French, -> Spanish, -> Japanese, -> every major language translator, then Lojban becomes very powerful.

Because then anyone who can write in Lojban can have it automatically machine-translated to all those target languages, and it will be understandable. I'm guessing this would be a step ahead of current machine translation (which tends to produce incomprehensible junk), if http://world.altavista.com/ is any indication of the current state-of-the-art.